> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/android/standalone-modules/document-detector/release-notes.md).

# Release Notes

## August 08th, 2025

### DocumentDetector 9.13.0

#### Highlights

* Stability and polish;
* Compatible with upload message customization (CafDDUploadMessage), maxRetryAttempts, and UI tweaks via sdkParameter.
* Adding customization `CafDDUploadMessage` on DocumentDetector to set the messages on upload flow.
* Visual coherence via `styles.xml` theming.
* Improved upload resilience and retry behavior on flaky networks.
* Extra defensive handling

## July 21th, 2025

### DocumentDetector 9.11.1

* Adding customization `CafDDUploadMessage` on DocumentDetector to set the messages on upload flow.

## July 16th, 2025

### DocumentDetector 9.11.0

* Parameter `maxRetryAttempts` on DocumentDetector to set the maximum retry attempts on server error flow of DocumentCapture (the default is `2`)

## July 16th, 2025

### DocumentDetector 9.10.0

* New configuration options for color and text settings, accessible via sdkParameter, enhancing UI adaptability.
* Expanded configuration for retry messages, maximum retry attempts offering more precise control over error handling.

## June 20th, 2025

### `DocumentDetector 9.7.1`

#### Highlights

* Creation of a new message configuration object for the CafSDK.

## June 18th, 2025

### `DocumentDetector 9.7.0`

#### Highlights

* Analytics and Crashlytics improviments.

## June 13th, 2025

### `DocumentDetector 9.6.1`

#### Highlights

* Fixed problem when personId parameter was missing.

## June 03th, 2025

### `DocumentDetector 9.6.0`

#### Highlights

* Added `signedResponse` parameter to DocumentDetectorResult.
* Added replay screen when a connection problem occurs.

## May 20th, 2025

### `DocumentDetector 9.5.0`

#### Highlights

* Fixed problem when “Don't keep activities” is enabled.

## May 08th, 2025

### `DocumentDetector 9.4.1`

#### Fixes

* Fixed crash when network is not working.

## April 22th, 2025

### `DocumentDetector 9.4.0`

#### Highlights

* Adding the `useManualCaptureAsFallback` option as a new fallback option when devices cannot instantiate the AI embedded in memory.
* Improve validation when quality is not OK when using `Upload Mode`.

## March 31th, 2025

### `DocumentDetector 9.3.0`

{% hint style="warning" %}
Now the dependency is using a new `groupId`: `implementation("io.caf.sdk:document-detector:9.3.0")`
{% endhint %}

#### Highlights

* Implementation of a new analytics route.

## December 11th, 2024

### `DocumentDetector 9.2.0`

#### Highlights

* Standardized application theme configuration by `styles.xml`.

## December 3rd, 2024

### `DocumentDetector 9.1.3`

#### Highlights

* Extra validations to avoid `NullPointerExceptions`.
* Improvements to the Crashlytics and Analytics modules.

## October 31th, 2024

### `DocumentDetector 9.1.2`

#### Highlights

* Correction of the internal dependency that was causing the duplicate class problem.

## October 28th, 2024

### `DocumentDetector 9.1.1`

#### Highlights

* Removed the requirement for the READ\_MEDIA\_IMAGES permission.

## October 28th, 2024

### `DocumentDetector 7.2.6`

#### Highlights

* Removed the requirement for the READ\_MEDIA\_IMAGES permission.

## October 21th, 2024

### `DocumentDetector 9.1.0`

#### Highlights

* Removed data binding to improve build time

## October 2nd, 2024

### `DocumentDetector 9.0.1`

#### Fixes

* Fixed dependencies importing issue

## September 30th, 2024

### `DocumentDetector 9.0.0`

#### Highlights

* Crashlytics Integration
* Analytics Integration

#### Breaking changes

* Updated Kotlin version from `1.5.32` to `1.9.10`.
* Updated Gradle from `6.9.1` to `8.4`.
* Updated Android Gradle Plugin from `7.4.2` to `8.3.2`.
* Updated compile and taget SDK from `33` to `34`.
* Updated minimum SDK from `21` to `26`.

## September 10th, 2024

### `DocumentDetector 8.1.5`

#### Fixes

* Extra validations to avoid `NullPointerExceptions`

## August 19th, 2024

### `DocumentDetector 8.1.4`

#### Highlights

* Document uploads enhancements

#### Breaking changes

* Removed `setUseEmulator` from `DocumentDetector.Builder`
* Removed `setUseRoot` from `DocumentDetector.Builder`
* Removed `setAnalyticsSettings` from `DocumentDetector.Builder`
* Removed `ACCESS_FINE_LOCATION` permission
* Removed `ACCESS_WIFI_STATE` permission
* Removed `GET_ACCOUNTS` permission

## July 15th, 2024

### `DocumentDetector 8.1.3`

#### Fixes

* TensorFlow improvements and validations.

## July 10th, 2024

### `DocumentDetector 8.1.2`

#### Fixes

* Improvements and validations to avoid NullPointerException.

## June 11th, 2024

### `DocumentDetector 8.1.1`

#### Fixes

* Thread Sync problem fixed.
* Re-send request after token expiration crash fixed.
* Sequential upload error fixed.

## May 28th, 2024

### `DocumentDetector 8.1.0`

#### Fixes

* Internal compatibility improvements for React Native Bridge.
* Standardizing versions.

## May 07th, 2024

### `DocumentDetector 8.0.2`

#### Fixes

* Extra validations to avoid `NullPointerExceptions`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caf.io/caf-sdk/android/standalone-modules/document-detector/release-notes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
